\documentclass[landscape]{zettel2}

% Header
\pagestyle{empty}

\DTLloaddb{krankheit}{teilnehmende-medizinische-daten.csv}

\usepackage{xltabular}

\begin{document}
    \rowcolors{1}{gray!20}{white}
    \begin{xltabular}{\textwidth}{|l|l|l|l|l|X|X|}
        \hline
        \rowcolor{gray!40}
        \textbf{Vorname} & \textbf{Nachname} & \textbf{Zirkel} & \textbf{Klasse} & \textbf{Zimmer} & \textbf{Medizinische Infos} & \textbf{Unverträglichkeiten}\\
        \hline
        \endhead
        \noalign\bgroup
        \DTLforeach{krankheit}{%
            \vorname=Vorname,%
            \nachname=Nachname,%
            \zirkel=Zirkel,%
            \klasse=Klasse,%
            \zimmer=Zimmer,%
            \medizin=Medizinische Daten,%
            \unvertraeglichkeiten=Unvertraeglichkeit%
        }{%
            \egroup \vorname & \nachname & \zirkel &
            \klasse & \zimmer &
            \medizin & \unvertraeglichkeiten\\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{xltabular}

\end{document}
